      open (unit=4,file='format.in',status='old')
      open (unit=7,file='format.out',status='unknown')
      do i=1,100000
         read (4,*,end=99) a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,y1,y2
         year = (y1+y2)/2.0
         write (7,77) 1950.0-year,a3,a4,a5,a6,a7,a8,a9,a10
      end do
99    close (unit=4)
      close (unit=7)
77    format (f7.0,8f7.2)
      stop
      end
